import { Global, Module } from '@nestjs/common';
import { FormUtilityService } from './services/form-utility.service';
import { IPLimitService } from './services/iplimit.service';
import { PaginationService } from './services/paginate.service';
import { QRCodeService } from './services/qr-code.service';
import { TokenService } from './services/token.service';

@Global()
@Module({
  providers: [
    TokenService,
    FormUtilityService,
    QRCodeService,
    PaginationService,
    IPLimitService,
  ],
  exports: [
    TokenService,
    FormUtilityService,
    QRCodeService,
    PaginationService,
    IPLimitService,
  ],
})
export class UtilityModule {}
